Package org.apache.batchee.container.modelresolver

## Interface PropertyResolver<B>

- All Known Implementing Classes:
    `AbstractPropertyResolver`, `AnalyzerPropertyResolver`, `BatchletPropertyResolver`, `CheckpointAlgorithmPropertyResolver`, `ChunkPropertyResolver`, `CollectorPropertyResolver`, `ControlElementPropertyResolver`, `DecisionPropertyResolver`, `ExceptionClassesPropertyResolver`, `FlowPropertyResolver`, `ItemProcessorPropertyResolver`, `ItemReaderPropertyResolver`, `ItemWriterPropertyResolver`, `JobPropertyResolver`, `ListenerPropertyResolver`, `PartitionMapperPropertyResolver`, `PartitionPlanPropertyResolver`, `PartitionPropertyResolver`, `PartitionReducerPropertyResolver`, `SplitPropertyResolver`, `StepPropertyResolver`

      public interface PropertyResolver<B>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `B` | `substituteProperties​(B b, Properties submittedProps)` | Convenience method that is the same as calling substituteProperties(batchElement, submittedProps, null)
    `B` | `substituteProperties​(B b, Properties submittedProps, Properties parentProps)` | Performs property substitution on a given batch element b and all nested sub elements.

- - ### Method Detail

    - #### substituteProperties

          B substituteProperties​(B b,
                                 Properties submittedProps)

      Convenience method that is the same as calling substituteProperties(batchElement, submittedProps, null)
      Parameters:
        `b` -
        `submittedProps` -

    - #### substituteProperties

          B substituteProperties​(B b,
                                 Properties submittedProps,
                                 Properties parentProps)

      Performs property substitution on a given batch element b and all nested sub elements. The given batch element is directly modified by this method.
      Parameters:
        `b` -
        `submittedProps` - Properties submitted as job parameters
        `parentProps` - Properties inherited from parent elements
      Returns: